List segment members
People currently matching the segment, newest activity first, paginated with limit/offset. Readable with either key type.
curl -X GET "https://mythic-analytics.gulp.workers.dev/builder/segments/123e4567-e89b-12d3-a456-426614174000/members?location_id=acme-retail&limit=50&offset=0" \
-H "Content-Type: application/json" \
-H "Authorization: Bearer YOUR_API_TOKEN"
import requests
import json
url = "https://mythic-analytics.gulp.workers.dev/builder/segments/123e4567-e89b-12d3-a456-426614174000/members?location_id=acme-retail&limit=50&offset=0"
headers = {
"Content-Type": "application/json",
"Authorization": "Bearer YOUR_API_TOKEN"
}
response = requests.get(url, headers=headers)
print(response.json())
const response = await fetch("https://mythic-analytics.gulp.workers.dev/builder/segments/123e4567-e89b-12d3-a456-426614174000/members?location_id=acme-retail&limit=50&offset=0", {
method: "GET",
headers: {
"Content-Type": "application/json",
"Authorization": "Bearer YOUR_API_TOKEN"
}
});
const data = await response.json();
console.log(data);
package main
import (
"fmt"
"net/http"
)
func main() {
req, err := http.NewRequest("GET", "https://mythic-analytics.gulp.workers.dev/builder/segments/123e4567-e89b-12d3-a456-426614174000/members?location_id=acme-retail&limit=50&offset=0", nil)
if err != nil {
panic(err)
}
req.Header.Set("Content-Type", "application/json")
req.Header.Set("Authorization", "Bearer YOUR_API_TOKEN")
client := &http.Client{}
resp, err := client.Do(req)
if err != nil {
panic(err)
}
defer resp.Body.Close()
fmt.Println("Response Status:", resp.Status)
}
require 'net/http'
require 'json'
uri = URI('https://mythic-analytics.gulp.workers.dev/builder/segments/123e4567-e89b-12d3-a456-426614174000/members?location_id=acme-retail&limit=50&offset=0')
http = Net::HTTP.new(uri.host, uri.port)
http.use_ssl = true
request = Net::HTTP::Get.new(uri)
request['Content-Type'] = 'application/json'
request['Authorization'] = 'Bearer YOUR_API_TOKEN'
response = http.request(request)
puts response.body
{
"data": [
{
"id": "example_string",
"location_id": "example_string",
"identity_count": 123,
"session_count": 10,
"first_seen": "2024-12-25T10:00:00Z",
"last_seen": "2024-12-25T10:00:00Z",
"display_name": "John Doe",
"email": "user@example.com",
"user_id": "example_string",
"company": "example_string",
"avatar": "example_string",
"first_channel": "example_string",
"last_channel": "example_string",
"last_utm_source": "example_string",
"last_utm_medium": "example_string",
"last_utm_campaign": "example_string",
"last_geo_country_name": "John Doe",
"first_geo_country": "USA",
"last_device_type": "example_string",
"first_landing_page": "example_string",
"last_landing_page": "example_string"
}
],
"rows": 42,
"limit": 42,
"offset": 42
}
{
"error": "Not Found",
"message": "The requested resource was not found",
"code": 404
}
/segments/{id}/membersTarget server for requests. Edit to use your own host.
Builder key as a bearer token. Use an agency key for full CRUD (Bearer ak_...) or a viewer key for read-only access (Bearer sk_...). Scoped keys (mcp_) are accepted too and need segments:read or segments:write. See Using an mcp_ key over HTTP.
Bearer ak_...) or a viewer key for read-only access (Bearer sk_...). Scoped keys (mcp_) are accepted too and need segments:read or segments:write. See Using an mcp_ key over HTTP.Segment UUID.
Client location to scope the request to. Required when authenticating with an agency key (ak_). Ignored for viewer keys (sk_).
Max members to return (1–1000).
Request Preview
Response
Response will appear here after sending the request
Authentication
Bearer token. Builder key as a bearer token. Use an agency key for full CRUD (Bearer ak_...) or a viewer key for read-only access (Bearer sk_...). Scoped keys (mcp_) are accepted too and need segments:read or segments:write. See Using an mcp_ key over HTTP.
Path Parameters
Segment UUID.
Query Parameters
Client location to scope the request to. Required when authenticating with an agency key (ak_). Ignored for viewer keys (sk_).
acme-retailMax members to return (1–1000).